ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Functions
LibItsSremSsem__EncdecDeclarations Namespace Reference

## Functions
BITSTRING | fx__enc__SremReq (const LibItsSremSsem__TestSystem::SremReq &p_sremReq)
INTEGER | fx__dec__SremReq (BITSTRING &b, LibItsSremSsem__TestSystem::SremReq &p)
INTEGER | fx__dec__SremInd (BITSTRING &b, LibItsSremSsem__TestSystem::SremInd &p_sremInd)
BITSTRING | fx__enc__Srem (const SREM__PDU__Descriptions::SREM &p_srem)
INTEGER | fx__dec__Srem (BITSTRING &b, SREM__PDU__Descriptions::SREM &p)
BITSTRING | fx__enc__SsemReq (const LibItsSremSsem__TestSystem::SsemReq &p_ssemReq)
INTEGER | fx__dec__SsemReq (BITSTRING &b, LibItsSremSsem__TestSystem::SsemReq &p)
INTEGER | fx__dec__SsemInd (BITSTRING &b, LibItsSremSsem__TestSystem::SsemInd &p_ssemInd)
BITSTRING | fx__enc__Ssem (const SSEM__PDU__Descriptions::SSEM &p_ssem)
INTEGER | fx__dec__Ssem (BITSTRING &b, SSEM__PDU__Descriptions::SSEM &p_ssem)
BITSTRING | fx__enc__UtSremInitialize (const LibItsSremSsem__TypesAndValues::UtSremInitialize &p_utSremInitialize)
BITSTRING | fx__enc__UtSremTrigger (const LibItsSremSsem__TypesAndValues::UtSremTrigger &p_utSremTrigger)
INTEGER | fx__dec__UtSremResults (BITSTRING &b, LibItsSremSsem__TypesAndValues::UtSremResults &p)
INTEGER | fx__dec__UtSremEventInd (BITSTRING &b, LibItsSremSsem__TypesAndValues::UtSremEventInd &p)
INTEGER | fx__dec__UtSsemEventInd (BITSTRING &b, LibItsSremSsem__TypesAndValues::UtSsemEventInd &p)

## Function Documentation

## ◆ fx__dec__Srem()

INTEGER LibItsSremSsem__EncdecDeclarations::fx__dec__Srem | ( | BITSTRING & | b,
|  | SREM__PDU__Descriptions::SREM & | p
| ) |  |

## ◆ fx__dec__SremInd()

INTEGER LibItsSremSsem__EncdecDeclarations::fx__dec__SremInd | ( | BITSTRING & | b,
|  | LibItsSremSsem__TestSystem::SremInd & | p_sremInd
| ) |  |

## ◆ fx__dec__SremReq()

INTEGER LibItsSremSsem__EncdecDeclarations::fx__dec__SremReq | ( | BITSTRING & | b,
|  | LibItsSremSsem__TestSystem::SremReq & | p
| ) |  |

## ◆ fx__dec__Ssem()

INTEGER LibItsSremSsem__EncdecDeclarations::fx__dec__Ssem | ( | BITSTRING & | b,
|  | SSEM__PDU__Descriptions::SSEM & | p_ssem
| ) |  |

## ◆ fx__dec__SsemInd()

INTEGER LibItsSremSsem__EncdecDeclarations::fx__dec__SsemInd | ( | BITSTRING & | b,
|  | LibItsSremSsem__TestSystem::SsemInd & | p_ssemInd
| ) |  |

## ◆ fx__dec__SsemReq()

INTEGER LibItsSremSsem__EncdecDeclarations::fx__dec__SsemReq | ( | BITSTRING & | b,
|  | LibItsSremSsem__TestSystem::SsemReq & | p
| ) |  |

## ◆ fx__dec__UtSremEventInd()

INTEGER LibItsSremSsem__EncdecDeclarations::fx__dec__UtSremEventInd | ( | BITSTRING & | b,
|  | LibItsSremSsem__TypesAndValues::UtSremEventInd & | p
| ) |  |

## ◆ fx__dec__UtSremResults()

INTEGER LibItsSremSsem__EncdecDeclarations::fx__dec__UtSremResults | ( | BITSTRING & | b,
|  | LibItsSremSsem__TypesAndValues::UtSremResults & | p
| ) |  |

## ◆ fx__dec__UtSsemEventInd()

INTEGER LibItsSremSsem__EncdecDeclarations::fx__dec__UtSsemEventInd | ( | BITSTRING & | b,
|  | LibItsSremSsem__TypesAndValues::UtSsemEventInd & | p
| ) |  |

## ◆ fx__enc__Srem()

BITSTRING LibItsSremSsem__EncdecDeclarations::fx__enc__Srem | ( | const SREM__PDU__Descriptions::SREM & | p_srem | ) |

## ◆ fx__enc__SremReq()

BITSTRING LibItsSremSsem__EncdecDeclarations::fx__enc__SremReq | ( | const LibItsSremSsem__TestSystem::SremReq & | p_sremReq | ) |

## ◆ fx__enc__Ssem()

BITSTRING LibItsSremSsem__EncdecDeclarations::fx__enc__Ssem | ( | const SSEM__PDU__Descriptions::SSEM & | p_ssem | ) |

## ◆ fx__enc__SsemReq()

BITSTRING LibItsSremSsem__EncdecDeclarations::fx__enc__SsemReq | ( | const LibItsSremSsem__TestSystem::SsemReq & | p_ssemReq | ) |

## ◆ fx__enc__UtSremInitialize()

BITSTRING LibItsSremSsem__EncdecDeclarations::fx__enc__UtSremInitialize | ( | const LibItsSremSsem__TypesAndValues::UtSremInitialize & | p_utSremInitialize | ) |

## ◆ fx__enc__UtSremTrigger()

BITSTRING LibItsSremSsem__EncdecDeclarations::fx__enc__UtSremTrigger | ( | const LibItsSremSsem__TypesAndValues::UtSremTrigger & | p_utSremTrigger | ) |